Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl
Class TemplateWriterType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          com.ssaglobal.generator.genctl.TemplateWriterType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class TemplateWriterType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Template Writer Type', and utility methods for working with them. Identifies "writers" supported by the generator. Writers are used as post-processors for the template results, e.g., to convert an XML document produced by a template to a PDF document.

See Also:
  `GenctlPackage.getTemplateWriterType()`, Serialized Form

Field Summary
`static int` | `NONE` The 'None' literal value
`static TemplateWriterType` | `NONE_LITERAL` The 'None' literal object
`static int` | `PDF` The 'PDF' literal value
`static TemplateWriterType` | `PDF_LITERAL` The 'PDF' literal object
`static java.util.List` | `VALUES` A public read-only list of all the 'Template Writer Type' enumerators

Method Summary
`static TemplateWriterType` | `get(int value)` Returns the 'Template Writer Type' literal with the specified value
`static TemplateWriterType` | `get(java.lang.String name)` Returns the 'Template Writer Type' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  The 'None' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### PDF

    public static final int PDF

  The 'PDF' literal value.

  See Also:
    `PDF_LITERAL`, Constant Field Values

### NONE_LITERAL

    public static final TemplateWriterType NONE_LITERAL

  The 'None' literal object.

  If the meaning of 'None' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE`

### PDF_LITERAL

    public static final TemplateWriterType PDF_LITERAL

  The 'PDF' literal object.

  If the meaning of 'PDF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PDF`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Template Writer Type' enumerators.

Method Detail

### get

    public static TemplateWriterType get(java.lang.String name)

  Returns the 'Template Writer Type' literal with the specified name.

### get

    public static TemplateWriterType get(int value)

  Returns the 'Template Writer Type' literal with the specified value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD